This is in order to be able to use Mobx 5 since it uses Proxy under the hood.

https://github.com/mobxjs/mobx/issues/1587

https://github.com/expo/expo/issues/1874

This is really more of a request to upgrade JSCore on Android.